OpenVDB 12.1.0

Loading...
Searching...
No Matches
ValueTraits< T, bool > Struct Template Reference

`#include <openvdb/Types.h>`

## Public Types
using | ElementType = typename T::ValueType

## Static Public Attributes
static const bool | IsVec = VecTraits<T>::IsVec
static const bool | IsQuat = QuatTraits<T>::IsQuat
static const bool | IsMat = MatTraits<T>::IsMat
static const bool | IsScalar = false
static const int | Size = T::size
static const int | Elements = IsMat ? Size*Size : Size

## Member Typedef Documentation

## ◆ ElementType

template<typename T, bool = VecTraits<T>::IsVec || QuatTraits<T>::IsQuat || MatTraits<T>::IsMat>

using ElementType = typename T::ValueType

## Member Data Documentation

## ◆ Elements

template<typename T, bool = VecTraits<T>::IsVec || QuatTraits<T>::IsQuat || MatTraits<T>::IsMat>

const int Elements = IsMat ? Size*Size : Size
| static

## ◆ IsMat

template<typename T, bool = VecTraits<T>::IsVec || QuatTraits<T>::IsQuat || MatTraits<T>::IsMat>

const bool IsMat = MatTraits<T>::IsMat
| static

## ◆ IsQuat

template<typename T, bool = VecTraits<T>::IsVec || QuatTraits<T>::IsQuat || MatTraits<T>::IsMat>

const bool IsQuat = QuatTraits<T>::IsQuat
| static

## ◆ IsScalar

template<typename T, bool = VecTraits<T>::IsVec || QuatTraits<T>::IsQuat || MatTraits<T>::IsMat>

const bool IsScalar = false
| static

## ◆ IsVec

template<typename T, bool = VecTraits<T>::IsVec || QuatTraits<T>::IsQuat || MatTraits<T>::IsMat>

const bool IsVec = VecTraits<T>::IsVec
| static

## ◆ Size

template<typename T, bool = VecTraits<T>::IsVec || QuatTraits<T>::IsQuat || MatTraits<T>::IsMat>

const int Size = T::size
| static